package ${basePackage}.module.system.mgr;

import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import ${basePackage}.frame.base.Token;

/**
 * 资源
 *
 * @author author
 * @version 0.0.1
 * @since 2019-12-19
 */
public interface ResourceManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ResourceCreateResponse create(ResourceCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ResourceDeleteResponse delete(ResourceDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ResourceUpdateResponse update(ResourceUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ResourceFindResponse find(ResourceFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ResourceGetResponse get(ResourceGetRequest request, Token token);
}
