package ${basePackage}.module.system.mgr;

import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import ${basePackage}.frame.base.Token;

/**
 * 通行证
 *
 * @author author
 * @version 0.0.1
 * @since 2019-12-19
 */
public interface TokensManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    TokensCreateResponse create(TokensCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    TokensDeleteResponse delete(TokensDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    TokensUpdateResponse update(TokensUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    TokensFindResponse find(TokensFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    TokensGetResponse get(TokensGetRequest request, Token token);
}
