-- ----------------------------
-- Table structure for RESOURCE - 资源
-- Target   : MySQL
-- Author   : author
-- Date:    : 2019-12-19
-- ----------------------------
CREATE TABLE `SYS_RESOURCE` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `VALUE` VARCHAR(100) NOT NULL COMMENT '资源内容',
        `COMMENT` VARCHAR(250) COMMENT '资源描述',
        `RESOURCE_TYPE` VARCHAR(20) NOT NULL COMMENT '资源类型',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源';
